| 网站首页 | 文章中心 | 下载中心 | 图片中心 | 雁过留声 | 
最新公告:

  没有公告

您现在的位置: 余杭科学——浙教版《科学》教学资源网 >> 文章中心 >> 本站动态 >> 正文
专题栏目
更多内容
最新推荐 更多内容
相关文章
没有相关文章
更多内容
[推荐]PPT里插入flash文件弹出安全提示问题的解决办法         ★★★
PPT里插入flash文件弹出安全提示问题的解决办法
PPT里插入flash文件弹出安全提示问题的解决办法
作者:佚名 文章来源:本站原创 点击数:814 更新时间:2014/9/2 11:38:14

      对于大多数老师来说,直接制作FLASH课件难度太大,但纯PPT又显得太过简单,线性的呈现方式不能满足课堂教学的需要,故在PPT中插入SWF文件不失为一种兼顾二者的好方法,关于在PPT中嵌入SWF文件的方法,本站在之前的文章中做过详细介绍,在此就不再累赘。最近不少老师向我们咨询在PPT中嵌入FLASH后在实际教学或展示播放过程产生的弹出安全提示窗的问题,即在放映PPT文件时候,播放到含有SWF文件的页面时候,页面弹出完全提示窗口:“此文档包含的嵌入内容可能对您的计算机有害。请从下列选项中选择一个:不允许播放内容(建议)和我可以识别此内容。允许播放。”这个问题虽然本质上不影响课件的播放和展示,但在实际应用过程中,显得较为繁琐,每次都需要选择允许播放后才能顺利进行。影响展示效果,鉴于此类需求教大,现对此类问题进行一个全面的探讨,并给出几种解决方法供大家参考:

    其实究其原因,此问题是更新Adobe flash player for IE 插件造成的,目前此版本最新升级版本为11.6,加强了安全性能,导致office播放嵌入的flash文档,弹出是否允许对话框,非常的讨嫌!解决办法是可以到网上下载个“Flash Player修复一键快速安装包 11.3”即可解决。还可以还原操作系统镜像,恢复到原来的初始状态,直接播放嵌入flash。第二种方式不自动升级flash for IE插件以及相关漏洞,版本在11.3以下即可(好像升级后就无法安装低版本的flash 插件,真有点头痛),更改PPT里面宏安全等级无法解决此问题的。

    那么如何成功安装Adobe flash player for IE  11.3以前版本呢?安装旧版前需要先把注册表的 flash player 安装信息删掉,不然会一直提示“不是最新版本flash player” 。操作如下:开始->运行->输入regedit,找到以下位置:[HKEY_LOCAL_MACHINE\SOFTWARE\Macromedia\FlashPlayer\SafeVersions],将里面的所有项目都删除后再安装旧版。

    第三种解决方法是从根源上找原因,既然是flash player版本的问题导致的安全提示,那么我们在发布FLASH文件时候可以选择低版本的flash player发布,这样插入到PPT中后也不会再有类似讨厌的提示了,当然这样做的前提是必须是自己制作的含有FLA源文件的情况下才可以,所以,前两种解决方案在实际播放中可能更为有效和直接。

  各位朋友可以根据自己的情况选择一种方法对此类问题进行完美修复,以避免弹出讨厌的安全提示问题,造成课件使用过程中的瑕疵。

点击下载Flash Player修复一键快速安装包:

Flash Player修复一键快速安装包

文章录入:admin    责任编辑:admin 
  • 上一篇文章:

  • 下一篇文章:
  • 【字体: 】【发表评论】【加入收藏】【告诉好友】【打印此文】【关闭窗口
      网友评论:(只显示最新10条。评论内容只代表网友观点,与本站立场无关!)

    | 设为首页 | 加入收藏 | 联系站长 | 友情链接 | 版权申明 | 管理登录 | 
    余杭科学 Copyright © 2014-2018 余杭科学 http://www.yhkx.net http://www.yhkx.hk Powered by: 余杭科学
    公安机关备案号:33011002011617 站长:sweid
    信息产业部备案

    浙ICP备05037100号-1